## mpegtsmux mpegtsmux |

## Properties

gboolean | m2ts-mode | Read / Write
GstStructure * | prog-map | Read / Write
guint | pat-interval | Read / Write
guint | pmt-interval | Read / Write
gint | alignment | Read / Write
guint | si-interval | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── MpegTsMux

## Description

## Synopsis

### Element Information

plugin | mpegtsmux
author | Fluendo <contact@fluendo.com>
class | Codec/Muxer

### Element Pads

name | sink_%d
direction | sink
presence | request
details | video/mpeg, parsed=(boolean)true, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-dirac
| video/x-h264, stream-format=(string)byte-stream, alignment=(string){ au, nal }
| audio/mpeg, parsed=(boolean)true, mpegversion=(int){ 1, 2 }
| audio/mpeg, framed=(boolean)true, mpegversion=(int)4, stream-format=(string)adts
| audio/mpeg, mpegversion=(int)4, stream-format=(string)raw
| audio/x-lpcm, width=(int){ 16, 20, 24 }, rate=(int){ 48000, 96000 }, channels=(int)[ 1, 8 ], dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ false, true }, mute=(boolean){ false, true }
| audio/x-ac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true
| subpicture/x-dvb
| application/x-teletext
| meta/x-klv, parsed=(boolean)true

name | src
direction | source
presence | always
details | video/mpegts, systemstream=(boolean)true, packetsize=(int){ 188, 192 }

## Functions

## Types and Values

## Property Details

### The `“m2ts-mode”` property

      “m2ts-mode”                gboolean

Set to TRUE to output Blu-Ray disc format with 192 byte packets. FALSE for standard TS format with 188 byte packets.

Flags: Read / Write

Default value: FALSE

### The `“prog-map”` property

      “prog-map”                 GstStructure *

A GstStructure specifies the mapping from elementary streams to programs.

Flags: Read / Write

### The `“pat-interval”` property

      “pat-interval”             guint

Set the interval (in ticks of the 90kHz clock) for writing out the PAT table.

Flags: Read / Write

Allowed values: >= 1

Default value: 9000

### The `“pmt-interval”` property

      “pmt-interval”             guint

Set the interval (in ticks of the 90kHz clock) for writing out the PMT table.

Flags: Read / Write

Allowed values: >= 1

Default value: 9000

### The `“alignment”` property

      “alignment”                gint

Number of packets per buffer (padded with dummy packets on EOS) (-1 = auto, 0 = all available packets, 7 for UDP streaming).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“si-interval”` property

      “si-interval”              guint

Set the interval (in ticks of the 90kHz clock) for writing out the ServiceInformation tables.

Flags: Read / Write

Allowed values: >= 1

Default value: 9000